local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Professions(container)




--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  




--[[ Heading ]]--

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Requirments:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CTradeSkillMaster".."|cffffffff You'll Need the TSM addon in order to pull data for Crafting Guides")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
	  desc:SetText("|cff00C78CTomTom".."|cffffffff You'll Need the TomTom Addon for specific waypoints for Both, Gathering and Crafting Profession guides.")
	  desc:SetFullWidth(true)
	  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		scroll:AddChild(desc)


--[[ Gathering ]]--

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Gathering:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

local MiningGuide = AceGUI:Create("Button")
  MiningGuide:SetText("|cff00C78CMining".."|cffffffff Levelling Guide")
  MiningGuide:SetWidth(350)
  scroll:AddChild(MiningGuide)
  MiningGuide:SetCallback("OnClick", function() 

  core.MiningLevelling(container)
  
  end)
  
local HerbalismGuide = AceGUI:Create("Button")
	  HerbalismGuide:SetText("|cff00C78CHerbalism".."|cffffffff Levelling Guide")
	  HerbalismGuide:SetWidth(350)
	  scroll:AddChild(HerbalismGuide)
		  HerbalismGuide:SetCallback("OnClick", function() 

			core.HerbalismLevelling(container)
		  
		  end)

local SkinningGuide = AceGUI:Create("Button")
  SkinningGuide:SetText("|cff00C78CSkinning".."|cffffffff Levelling Guide")
  SkinningGuide:SetWidth(350)
  scroll:AddChild(SkinningGuide)
  SkinningGuide:SetCallback("OnClick", function() 

  core.SkinningLevelling(container)
  
  end)

local FishingGuide = AceGUI:Create("Button")
  FishingGuide:SetText("|cff00C78CFishing".."|cffffffff Levelling Guide")
  FishingGuide:SetWidth(350)
  scroll:AddChild(FishingGuide)
  FishingGuide:SetCallback("OnClick", function() 

  core.FishingLevelling(container)
  
  end)  
  
  
  

  
--[[ Crafting ]]--

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafting:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

local AlchemyGuide = AceGUI:Create("Button")
  AlchemyGuide:SetText("|cff00C78CAlchemy".."|cffffffff Levelling Guide")
  AlchemyGuide:SetWidth(350)
  scroll:AddChild(AlchemyGuide)
  AlchemyGuide:SetCallback("OnClick", function() 

  core.AlchemyLevelling(container)
  
  end)
  

  
local EngineeringGuide = AceGUI:Create("Button")
  EngineeringGuide:SetText("|cff00C78CEngineering".."|cffffffff Levelling Guide")
  EngineeringGuide:SetWidth(350)
  scroll:AddChild(EngineeringGuide)
  EngineeringGuide:SetCallback("OnClick", function() 

  core.EngineeringLevelling(container)
  
  end)

local LeatherworkingGuide = AceGUI:Create("Button")
  LeatherworkingGuide:SetText("|cff00C78CLeatherworking".."|cffffffff Levelling Guide")
  LeatherworkingGuide:SetWidth(350)
  scroll:AddChild(LeatherworkingGuide)
  LeatherworkingGuide:SetCallback("OnClick", function() 

  core.LeatherworkingLevelling(container)
  
  end)

local BlacksmithingGuide = AceGUI:Create("Button")
  BlacksmithingGuide:SetText("|cff00C78CBlacksmithing".."|cffffffff Levelling Guide")
  BlacksmithingGuide:SetWidth(350)
  scroll:AddChild(BlacksmithingGuide)
  BlacksmithingGuide:SetCallback("OnClick", function() 

  core.BlacksmithingLevelling(container)
  
  end)

local InscriptionGuide = AceGUI:Create("Button")
  InscriptionGuide:SetText("|cff00C78CInscription".."|cffffffff Levelling Guide")
  InscriptionGuide:SetWidth(350)
  scroll:AddChild(InscriptionGuide)
  InscriptionGuide:SetCallback("OnClick", function() 

  core.InscriptionLevelling(container)
  
  end)

local TailoringGuide = AceGUI:Create("Button")
  TailoringGuide:SetText("|cff00C78CTailoring".."|cffffffff Levelling Guide")
  TailoringGuide:SetWidth(350)
  scroll:AddChild(TailoringGuide)
  TailoringGuide:SetCallback("OnClick", function() 

  core.TailoringLevelling(container)
  
  end)

local EnchantingGuide = AceGUI:Create("Button")
  EnchantingGuide:SetText("|cff00C78CEnchanting".."|cffffffff Levelling Guide")
  EnchantingGuide:SetWidth(350)
  scroll:AddChild(EnchantingGuide)
  EnchantingGuide:SetCallback("OnClick", function() 

  core.EnchantingLevelling(container)
  
  end)

local JewelcraftingGuide = AceGUI:Create("Button")
  JewelcraftingGuide:SetText("|cff00C78CJewelcrafting".."|cffffffff Levelling Guide")
  JewelcraftingGuide:SetWidth(350)
  scroll:AddChild(JewelcraftingGuide)
  JewelcraftingGuide:SetCallback("OnClick", function() 

  core.JewelcraftingLevelling(container)
  
  end)

local CookingGuide = AceGUI:Create("Button")
  CookingGuide:SetText("|cff00C78CCooking".."|cffffffff Levelling Guide")
  CookingGuide:SetWidth(350)
  scroll:AddChild(CookingGuide)
  CookingGuide:SetCallback("OnClick", function() 

  core.CookingLevelling(container)
  
  end)

  


  
  
  
  
  
  
  
  
  
end